Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: [SOLVED] 4.5.11 -> 5.0.18

  1. #1
    kristian.penno is offline Active Member
    Join Date
    Jun 2007
    Posts
    25
    Rep Power
    7

    Default [SOLVED] 4.5.11 -> 5.0.18

    I have finally decided to upgrade my 4.5.5 server to 6.0.1.
    I upgraded to 4.5.11 with no problems.
    I then upgraded to 5.0.18.
    Now my server is accepting browser connections, but it is not displaying any of the web pages (user or admin).
    The browser just sits this with it's wheels spinning.
    Could this be related to me answering Y to install zimbra-proxy?
    Should I get 5.0.18 up and running correctly before proceeding to 6.0.1?

    KP

  2. #2
    kristian.penno is offline Active Member
    Join Date
    Jun 2007
    Posts
    25
    Rep Power
    7

    Default

    I should add that my OS is Centos 4.8

    K

  3. #3
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,201
    Rep Power
    56

    Default

    Quote Originally Posted by kristian.penno View Post
    Could this be related to me answering Y to install zimbra-proxy?
    If this is a single server install then yes is the answer. Do the following to check if the proxy is installed/running:

    Code:
    zmproxyctl status
    zmprov gs `zmhostname` | grep zimbraServiceEnabled
    zmprov gs `zmhostname` | grep zimbraServiceInstalled
    If it's in, then run this:

    Code:
    zmproxyctl stop
    zmprov ms `zmhostname` -zimbraServiceEnabled imapproxy
    zmcontrol stop
    zmcontrol start
    To reset the ports run the following (on one line):

    Code:
    zmprov -l ms `zmhostname` zimbraPop3BindPort 110 zimbraPop3SSLBindPort 995 zimbraPop3ProxyBindPort 7110 zimbraPop3SSLProxyBindPort 7995 zimbraImapBindPort 143 zimbraImapSSLBindPort 993 zimbraImapProxyBindPort 7143 zimbraImapSSLProxyBindPort 7993
    then restart

    Quote Originally Posted by kristian.penno View Post
    Should I get 5.0.18 up and running correctly before proceeding to 6.0.1?
    Yes.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  4. #4
    kristian.penno is offline Active Member
    Join Date
    Jun 2007
    Posts
    25
    Rep Power
    7

    Default

    I'm going through my 4.5.11 -> 5.0.18 dry run again.
    I have a single server installation.

    zimbra-proxy...NOT FOUND
    zimbra-archiving...NOT FOUND
    zimbra-convertd...NOT FOUND
    zimbra-cluster...NOT FOUND

    I'm guessing now I don't want zimbra-proxy or zimbra-cluster.
    Do I want to answer Y to zimbra-archiving or zimbra-convertd?

    KP

  5. #5
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,201
    Rep Power
    56

    Default

    You want to answer no to all of those four questions.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  6. #6
    kristian.penno is offline Active Member
    Join Date
    Jun 2007
    Posts
    25
    Rep Power
    7

    Default 5.0.18 -> 6.0.1

    I've successfully got from 4.5.5 to 5.0.18 without issue.
    I've just run the 6.0.1 installer to upgrade to 6.0.1 and it seemed to go fine.
    Now I'm getting a certificate error when I attempt to access the web client.

    In firefox I get:
    Peer's certificate has an invalid signature.
    (Error code: sec_error_bad_signature)

    I answered N to installing any non exisiting components this time

    KP

  7. #7
    kristian.penno is offline Active Member
    Join Date
    Jun 2007
    Posts
    25
    Rep Power
    7

    Default

    This is also appearing in my mailbox.log:

    2009-09-25 14:21:40,126 WARN [btpool0-0] [] log - javax.net.ssl.SSLException: Received fatal alert: bad_certificate
    2


    KP

  8. #8
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,201
    Rep Power
    56

    Default

    Regenerate the certificates for your server, you can do that in the admin UI.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

  9. #9
    kristian.penno is offline Active Member
    Join Date
    Jun 2007
    Posts
    25
    Rep Power
    7

    Default

    I can't access the admin UI due to the same cert error
    I have attempted to regenerate the certs on the CLI, but somethings not going right for me?

    KP

  10. #10
    phoenix is offline Zimbra Consultant & Moderator
    Join Date
    Sep 2005
    Location
    Vannes, France
    Posts
    23,201
    Rep Power
    56

    Default

    Go in to your Firefox preferences and delete all the previous certificates for your Zimbra server, see if that works.
    Regards


    Bill


    Acompli: A new adventure for Co-Founder KevinH.

Page 1 of 2 12 LastLast

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Replies: 5
    Last Post: 07-15-2009, 11:11 AM
  2. [SOLVED] OSS upgrade questions - 4.5.3 -> 4.5.11
    By moneymonk in forum Administrators
    Replies: 2
    Last Post: 12-30-2008, 01:48 PM
  3. Upgrade from 4.5.11 -> 5.0.8 FAILED
    By RaNd in forum Installation
    Replies: 4
    Last Post: 08-02-2008, 02:05 AM
  4. 4.5.11 -> 5.0.6 NE & LDAP Replica
    By cjstone in forum Administrators
    Replies: 2
    Last Post: 06-24-2008, 11:54 AM
  5. Upgrade 4.5.11 -> 5.0.4 : Imapproxy fails
    By rajahd in forum Installation
    Replies: 5
    Last Post: 03-27-2008, 03:49 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •